> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orbital-systems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List water guards



## OpenAPI

````yaml /spec.json get /water-guards
openapi: 3.0.4
info:
  title: Orbital API
  version: 1.0.0
servers:
  - url: https://api.orbital-systems.com
    description: Production
  - url: https://stage-api.orbital-systems.com
    description: Staging
  - url: https://dev-api.orbital-systems.com
    description: Development
security:
  - apiKeyAuth: []
tags: []
paths:
  /water-guards:
    get:
      tags:
        - Water Guards.
      summary: List water guards
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  Count:
                    type: integer
                  Items:
                    type: array
                    items:
                      $ref: '#/components/schemas/waterGuardResponse'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                type: object
        '500':
          description: Database access error
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    waterGuardResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        owner:
          type: string
          format: uuid
        device_group:
          type: string
          format: uuid
        last_connected:
          type: string
        last_disconnected:
          type: string
        type:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        role:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````